Bug 146740 - Add mod_dso support to ftp/proftpd
Summary: Add mod_dso support to ftp/proftpd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-19 20:50 UTC by John LIghtsey
Modified: 2010-06-07 13:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John LIghtsey 2010-05-19 20:50:04 UTC
For the prxs tool included with proftpd to be useful, mod_dso needs to be compiled in.

Fix: 

Add --enable-dso to the default configure options for proftpd.
How-To-Repeat: [root@freebsd8 ~]# prxs -c -i -d mod_test.c

Your installed proftpd does not support shared modules/DSOs.
Make sure the --enable-dso configure option is used when
compiling proftpd.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-06-03 02:23:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer.
Comment 2 dfilter service freebsd_committer 2010-06-07 12:50:42 UTC
mm          2010-06-07 11:50:33 UTC

  FreeBSD ports repository

  Modified files:
    ftp/proftpd          Makefile 
  Log:
  - Enable DSO support
  
  PR:             ports/146740
  Submitted by:   John Lihtsey <jd@cpanel.net>
  
  Revision  Changes    Path
  1.177     +2 -1      ports/ftp/proftpd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2010-06-07 13:33:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!